## open-infrastructure-storage-tools 20170410

=== debian/changelog ===
open-infrastructure-storage-tools (20170410-1) unstable; urgency=low

  * Uploading to sid.
  * Merging upstream version 20170410.
  * Adding storage-tools provides.
  * Adding new recommends for ceph-info.
  * Annotating recommends and suggests in control.
  * Adding debconf handling for /etc/default/storage-tools.
  * Removing superfluous --parallel when invoking debhelper as it's the
    default with compat level 10, thanks to Gianfranco Costamagna
    <locutusofborg@debian.org>.
  * Adding news entries for backwards incompatible changes of upstream
    version 20170410.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 11 Apr 2017 00:21:07 +0200

open-infrastructure-storage-tools (20170405-1) unstable; urgency=low

  * Initial upload to sid (Closes: #854666).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 08 Apr 2017 12:31:40 +0200
