=== debian/control ===
Source: open-infrastructure-storage-tools
Section: admin
Priority: optional
Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
Build-Depends:
 apache2-dev,
 asciidoc,
 debhelper (>= 10),
 dh-systemd,
 docbook-xml,
 docbook-xsl,
 libxml2-utils,
 xsltproc,
Standards-Version: 3.9.8
Homepage: https://open-infrastructure.net/software/storage-tools
Vcs-Browser: https://sources.progress-linux.org/users/daniel.baumann/debian/packages/open-infrastructure-storage-tools
Vcs-Git: https://sources.progress-linux.org/users/daniel.baumann/debian/packages/open-infrastructure-storage-tools

Package: open-infrastructure-storage-tools
Architecture: all
Depends:
 ${misc:Depends},
Recommends:
 ceph-common | ceph-fs-common,
# ceph-info
 apache2 | httpd,
 fonts-font-awesome,
 libjs-bootstrap,
 libjs-jquery,
# ceph-log
 logrotate,
# ceph-remove-osd
 jq,
Suggests:
 ceph-fuse,
# cephfs-snap
 irker,
Provides:
 storage-tools,
Description: Additional utilities to manage storage related tasks
 storage-tools contains the following tools:
 .
   * ceph-log: store Ceph cluster log as a logfile
   * ceph-info: show Ceph cluster information as a website
   * cephfs-snap: create CephFS snapshots periodically
   * cephfs-remove-osd: remove a Ceph OSD instance completely
