=== debian/watch ===
version=4
opts=pgpmode=auto https://files.open-infrastructure.net/software/storage-tools/upstream/storage-tools-(.+)\.tar\.xz
