## open-infrastructure-storage-tools 20171101

=== debian/changelog ===
open-infrastructure-storage-tools (20171101-2) unstable; urgency=medium

  * Uploading to sid.
  * Adding initial French debconf translations from Jean-Paul Guillonneau
    <guillonneau.jeanpaul@free.fr> (Closes: #860793).
  * Adding initial German debconf translations from Markus Hiereth
    <markus.hiereth@freenet.de> (Closes: #878413).
  * Adding initial Russian debconf translations from Lev Lamberov
    <dogsleg@debian.org> (Closes: #883467).
  * Adding Rules-Requires-Root field.
  * Updating to standards version 4.1.3.
  * Updating to debhelper compat 11.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 17 Feb 2018 09:04:23 +0100

open-infrastructure-storage-tools (20171101-1) unstable; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20171101.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 01 Nov 2017 09:20:17 +0100

open-infrastructure-storage-tools (20171017-1) unstable; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20171017.
  * Updating to standards version 4.1.1.
  * Using https for copyright format url.
  * Using lzip tarball in watch file.
  * Adding initial Portuguese debconf translations from Copyright (C) 2017
    Rui Branco <ruipb@debianpt.org> (Closes: #861428).
  * Adding initial Dutch debconf translations from Frans Spiesschaert
    <Frans.Spiesschaert@yucom.be> (Closes: #862365).
  * Correcting typo in defaults for cephfs-snap-hourly debconf question,
    thanks to Markus Hiereth <markus.hiereth@freenet.de> (Closes:
    #877858).
  * Using 'HTML page' instead of website in package description and
    debconf messages (Closes: #877858).
  * Manually enabling ceph-log systemd service, thanks to Sakirnth
    Nagarasa <sakirnth.nagarasa@bfh.ch> (Closes: #860877).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 17 Oct 2017 16:12:23 +0200
