=== debian/control ===
--- 
+++ 
@@ -5,13 +5,13 @@
 Build-Depends:
  apache2-dev,
  asciidoc,
- debhelper (>= 10),
- dh-systemd,
+ debhelper (>= 11),
  docbook-xml,
  docbook-xsl,
  libxml2-utils,
  xsltproc,
-Standards-Version: 3.9.8
+Rules-Requires-Root: no
+Standards-Version: 4.1.3
 Homepage: https://open-infrastructure.net/software/storage-tools
 Vcs-Browser: https://sources.progress-linux.org/users/daniel.baumann/debian/packages/open-infrastructure-storage-tools
 Vcs-Git: https://sources.progress-linux.org/users/daniel.baumann/debian/packages/open-infrastructure-storage-tools
@@ -41,6 +41,6 @@
  storage-tools contains the following tools:
  .
    * ceph-log: store Ceph cluster log as a logfile
-   * ceph-info: show Ceph cluster information as a website
+   * ceph-info: show Ceph cluster information as a HTML page
    * cephfs-snap: create CephFS snapshots periodically
    * cephfs-remove-osd: remove a Ceph OSD instance completely
