=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 PACKAGE := storage-tools
 
 %:
-	dh ${@} --with apache2,systemd
+	dh ${@} --with apache2
 
 override_dh_auto_build:
 	# disabled
@@ -15,3 +15,6 @@
 	rm -f debian/open-infrastructure-$(PACKAGE)/usr/share/doc/$(PACKAGE)/LICENSE.txt
 
 	mv debian/open-infrastructure-$(PACKAGE)/usr/share/doc/$(PACKAGE) debian/open-infrastructure-$(PACKAGE)/usr/share/doc/open-infrastructure-$(PACKAGE)
+
+override_dh_systemd_enable:
+	dh_systemd_enable --name=ceph-log
