## open-infrastructure-storage-tools 20180915

=== Makefile ===
--- 
+++ 
@@ -2,6 +2,8 @@
 
 # storage-tools - Additional utilities to manage storage related tasks
 # Copyright (C) 2014-2017 Daniel Baumann <daniel.baumann@open-infrastructure.net>
+#
+# SPDX-License-Identifier: GPL-3.0+
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
