=== debian/changelog ===
open-infrastructure-storage-tools (20180915-3) unstable; urgency=medium

  * Adding missing breaks and replaces in control (Closes: #921212).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 03 Feb 2019 09:14:54 +0100

open-infrastructure-storage-tools (20180915-2) unstable; urgency=medium

  * Updating to standards version 4.3.0.
  * Updating vcs fields.
  * Updating year in copyright for 2019.
  * Updating to debhelper 12.
  * Using build-depends to specify debhelper compatibility.
  * Repeating Section for binary packages in control.
  * Renaming binary package to open-infrastructure-ceph-tools for
    consistency and future-proofing.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 02 Feb 2019 09:49:38 +0100

open-infrastructure-storage-tools (20180915-1) unstable; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20180915:
    - adding ceph health detail to ceph-info (Closes: #909074).
  * Adding enhances for ceph.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 18 Sep 2018 09:08:44 +0200

open-infrastructure-storage-tools (20171101-3) unstable; urgency=medium

  * Uploading to sid.
  * Updating years in copyright file.
  * Updating to standards version 4.2.1.
  * Updating German debconf translations, thanks to Helge Kreutzmann
    <debian@helgefjell.de> (Closes: #905488).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 31 Aug 2018 11:18:16 +0200
