=== debian/control ===
Source: open-infrastructure-storage-tools
Section: admin
Priority: optional
Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
Build-Depends:
 apache2-dev,
 asciidoc,
 debhelper-compat (= 12),
 docbook-xml,
 docbook-xsl,
 libxml2-utils,
 xsltproc,
Rules-Requires-Root: no
Standards-Version: 4.3.0
Homepage: https://open-infrastructure.net/software/storage-tools
Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/open-infrastructure-storage-tools
Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/open-infrastructure-storage-tools

Package: open-infrastructure-ceph-tools
Section: admin
Architecture: all
Depends:
 ${misc:Depends},
Recommends:
 ceph-common | ceph-fs-common,
# ceph-info
 apache2 | httpd,
 fonts-font-awesome,
 libjs-bootstrap,
 libjs-jquery,
# ceph-log
 logrotate,
# ceph-remove-osd
 jq,
Suggests:
 ceph-fuse,
# cephfs-snap
 irker,
Provides:
 ceph-tools,
Enhances:
 ceph,
Breaks:
 open-infrastructure-storage-tools (<< 20180915-2~),
Replaces:
  open-infrastructure-storage-tools,
Description: Additional utilities to manage Ceph
 ceph-tools contains the following tools:
 .
   * ceph-log: store Ceph cluster log as a logfile
   * ceph-info: show Ceph cluster information as a HTML page
   * cephfs-snap: create CephFS snapshots periodically
   * cephfs-remove-osd: remove a Ceph OSD instance completely

Package: open-infrastructure-storage-tools
Architecture: all
Depends:
 open-infrastructure-ceph-tools (= ${source:Version}),
 ${misc:Depends},
Description: Additional utilities to manage Ceph (transitional package)
 Package to ease upgrading from older open-infrastructure-storage-tools package
 to the new open-infrastructure-ceph-tools package.
 .
 This package can be purged at anytime once the open-infrastructure-ceph-tools
 package has been installed.
