## open-infrastructure-storage-tools 20190301

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,4 @@
-# Makefile
-
-# storage-tools - Additional utilities to manage storage related tasks
-# Copyright (C) 2014-2017 Daniel Baumann <daniel.baumann@open-infrastructure.net>
+# Copyright (C) 2014-2019 Daniel Baumann <daniel.baumann@open-infrastructure.net>
 #
 # SPDX-License-Identifier: GPL-3.0+
 #
@@ -20,7 +17,10 @@
 
 SHELL := sh -e
 
+PROJECT = open-infrastructure
 SOFTWARE = storage-tools
+PROGRAM = ceph-tools
+
 SCRIPTS = bin/*
 
 all: build
@@ -60,20 +60,26 @@
 	mkdir -p $(DESTDIR)/usr/bin
 	cp -r bin/* $(DESTDIR)/usr/bin
 
+	mkdir -p $(DESTDIR)/usr/share/$(PROJECT)/$(PROGRAM)
+	cp -r VERSION.txt $(DESTDIR)/usr/share/$(PROJECT)/$(PROGRAM)
+
+	mkdir -p $(DESTDIR)/etc/apache2/conf-available
+	cp -a share/apache/conf/* $(DESTDIR)/etc/apache2/conf-available
+
 	mkdir -p $(DESTDIR)/etc/cron.d
 	cp -r share/cron/* $(DESTDIR)/etc/cron.d
 
 	mkdir -p $(DESTDIR)/etc/logrotate.d
 	cp -r share/logrotate/* $(DESTDIR)/etc/logrotate.d
 
-	mkdir -p $(DESTDIR)/usr/share/$(SOFTWARE)
-	cp -r share/ceph-info $(DESTDIR)/usr/share/$(SOFTWARE)
+	mkdir -p $(DESTDIR)/lib/systemd/system
+	cp -r share/systemd/* $(DESTDIR)/lib/systemd/system
+
+	mkdir -p $(DESTDIR)/usr/share/$(PROJECT)/$(PROGRAM)
+	cp -r share/ceph-info $(DESTDIR)/usr/share/$(PROJECT)
 
 	mkdir -p $(DESTDIR)/usr/share/doc/$(SOFTWARE)
 	cp -r CHANGELOG.txt LICENSE.txt README.txt share/doc/* $(DESTDIR)/usr/share/doc/$(SOFTWARE)
-
-	mkdir -p $(DESTDIR)/etc/apache2/conf-available
-	cp -a share/apache/conf/* $(DESTDIR)/etc/apache2/conf-available
 
 	for SECTION in $$(seq 1 8); \
 	do \
@@ -84,18 +90,10 @@
 		fi; \
 	done
 
-	mkdir -p $(DESTDIR)/lib/systemd/system
-	cp -r share/systemd/* $(DESTDIR)/lib/systemd/system
-
-	mkdir -p $(DESTDIR)/var/log/$(SOFTWARE)
+	mkdir -p $(DESTDIR)/var/log/$(PROJECT)
 
 uninstall:
-	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/var/log/$(SOFTWARE) || true
-
-	for FILE in share/systemd*; \
-	do \
-		rm -f $(DESTDIR)/lib/systemd/system/$$(basename $${FILE}); \
-	done
+	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/var/log/$(PROJECT) || true
 
 	for SECTION in $$(seq 1 8); \
 	do \
@@ -104,6 +102,11 @@
 			rm -f $(DESTDIR)/usr/share/man/man$${SECTION}/$$(basename $${FILE}); \
 		done; \
 		rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/share/man/man$${SECTION} || true; \
+	done
+
+	for FILE in share/systemd*; \
+	do \
+		rm -f $(DESTDIR)/lib/systemd/system/$$(basename $${FILE}); \
 	done
 
 	for FILE in share/logrotate/*; \
@@ -125,7 +128,7 @@
 	rm -rf $(DESTDIR)/usr/share/doc/$(SOFTWARE)
 	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/share/doc || true
 
-	rm -rf $(DESTDIR)/usr/share/$(SOFTWARE)
+	rm -rf $(DESTDIR)/usr/share/$(PROJECT)/$(SOFTWARE)
 	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/share || true
 
 	for FILE in bin/*; \
