## open-infrastructure-storage-tools 20190301-lts1

=== debian/changelog ===
open-infrastructure-storage-tools (20190301-lts1-6) sid; urgency=medium

  * Uploading to sid.
  * Removing pre-bookworm transitional package.
  * Updating copyright for 2024.
  * Updating to standards-version 4.7.0.
  * Adding patch to install systemd unit files in /usr, thanks to Helmut
    Grohne <helmut@subdivi.de> (Closes: #1063458).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 05 Jun 2024 06:31:41 +0200

open-infrastructure-storage-tools (20190301-lts1-5) sid; urgency=high

  * Uploading to sid, with bumped urgency due to upcoming freeze deadline.
  * Correcting breaks/replaces for clean upgrade from bullseye, thanks to
    Andreas Beckmann <anbe@debian.org> (Closes: #1030784).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 07 Feb 2023 15:31:53 +0100

open-infrastructure-storage-tools (20190301-lts1-4) sid; urgency=medium

  * Uploading to sid.
  * Renaming ceph-tools to storage-tools to avoid future NEW processing
    for adding additional tools.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 04 Feb 2023 12:37:24 +0100

open-infrastructure-storage-tools (20190301-lts1-3) sid; urgency=medium

  * Uploading to sid.
  * Adding changelog entries for debian version 20190301-lts1-2.1.
  * Updating to debhelper version 13.
  * Updating to standards version 4.6.2.
  * Updating http links to https in copyright.
  * Adding initial Spanish debconf translations from Camaleón
    <noelamac@gmail.com> (Closes: #988448).
  * Adding initial Brazilian-Portuguese debconf translations from Paulo
    Henrique de Lima Santana <phls@debian.org> (Closes: #986499).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 23 Jan 2023 11:28:30 +0100

open-infrastructure-storage-tools (20190301-lts1-2.1) sid; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild with debhelper 13.10.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Oct 2022 12:33:20 +0200

open-infrastructure-storage-tools (20190301-lts1-2) sid; urgency=medium

  * Uploading to sid.
  * Using codenames as upload targets in changelog.
  * Updating years in copyright file for 2020.
  * Updating to standards version 4.5.0.
  * Adding patch to fix FTBFS with newer asciidoc versions (Closes:
    #948902).
  * Adding updated French debconf translations from Jean-Philippe Mengual
    <mengualjeanphi@free.fr> (Closes: #914579).
  * Creating missing directory in /etc in postinst when required (Closes:
    #924106).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 21 Jan 2020 21:56:18 +0100

open-infrastructure-storage-tools (20190301-lts1-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20190301-lts1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 02 Mar 2019 19:53:19 +0100

open-infrastructure-storage-tools (20190301-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20190301.
  * Removing source local-options, not needed anymore.
  * Updating packaging for upstream rename.
  * Adding entries with upload targets in changelog.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 02 Mar 2019 19:48:18 +0100

open-infrastructure-storage-tools (20180915-3) sid; urgency=medium

  * Uploading to sid.
  * Adding missing breaks and replaces in control (Closes: #921212).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 03 Feb 2019 09:14:54 +0100

open-infrastructure-storage-tools (20180915-2) sid; urgency=medium

  * Uploading to sid.
  * Updating to standards version 4.3.0.
  * Updating vcs fields.
  * Updating year in copyright for 2019.
  * Updating to debhelper 12.
  * Using build-depends to specify debhelper compatibility.
  * Repeating Section for binary packages in control.
  * Renaming binary package to open-infrastructure-ceph-tools for
    consistency and future-proofing.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 02 Feb 2019 09:49:38 +0100

open-infrastructure-storage-tools (20180915-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20180915:
    - adding ceph health detail to ceph-info (Closes: #909074).
  * Adding enhances for ceph.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 18 Sep 2018 09:08:44 +0200

open-infrastructure-storage-tools (20171101-3) sid; urgency=medium

  * Uploading to sid.
  * Updating years in copyright file.
  * Updating to standards version 4.2.1.
  * Updating German debconf translations, thanks to Helge Kreutzmann
    <debian@helgefjell.de> (Closes: #905488).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 31 Aug 2018 11:18:16 +0200

open-infrastructure-storage-tools (20171101-2) sid; urgency=medium

  * Uploading to sid.
  * Adding initial French debconf translations from Jean-Paul Guillonneau
    <guillonneau.jeanpaul@free.fr> (Closes: #860793).
  * Adding initial German debconf translations from Markus Hiereth
    <markus.hiereth@freenet.de> (Closes: #878413).
  * Adding initial Russian debconf translations from Lev Lamberov
    <dogsleg@debian.org> (Closes: #883467).
  * Adding Rules-Requires-Root field.
  * Updating to standards version 4.1.3.
  * Updating to debhelper compat 11.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 17 Feb 2018 09:04:23 +0100

open-infrastructure-storage-tools (20171101-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20171101.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 01 Nov 2017 09:20:17 +0100

open-infrastructure-storage-tools (20171017-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20171017.
  * Updating to standards version 4.1.1.
  * Using https for copyright format url.
  * Using lzip tarball in watch file.
  * Adding initial Portuguese debconf translations from Copyright (C) 2017
    Rui Branco <ruipb@debianpt.org> (Closes: #861428).
  * Adding initial Dutch debconf translations from Frans Spiesschaert

