=== debian/watch ===
version=4
opts="pgpmode=auto" \
https://get.open-infrastructure.net/software/storage-tools/upstream/storage-tools-(.+)\.tar\.lz
